## API Report File for "@uifabric/date-time"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { BaseComponent } from '@uifabric/utilities';
import { DateRangeType } from 'office-ui-fabric-react/lib/utilities/dateValues/DateValues';
import { DayOfWeek } from 'office-ui-fabric-react/lib/utilities/dateValues/DateValues';
import { FirstWeekOfYear } from 'office-ui-fabric-react/lib/utilities/dateValues/DateValues';
import { IBaseProps } from '@uifabric/utilities';
import { IBaseProps as IBaseProps_2 } from 'office-ui-fabric-react/lib/Utilities';
import { ICalloutProps } from 'office-ui-fabric-react/lib/Callout';
import { IComponentAs } from '@uifabric/utilities';
import { IRefObject } from '@uifabric/utilities';
import { IRefObject as IRefObject_2 } from 'office-ui-fabric-react/lib/Utilities';
import { IStyle } from '@uifabric/styling';
import { IStyleFunction } from '@uifabric/utilities';
import { IStyleFunctionOrObject } from '@uifabric/utilities';
import { IStyleFunctionOrObject as IStyleFunctionOrObject_2 } from 'office-ui-fabric-react/lib/Utilities';
import { ITextFieldProps } from 'office-ui-fabric-react/lib/TextField';
import { ITheme } from '@uifabric/styling';
import * as React from 'react';

// @public
export const Calendar: React.StatelessComponent<ICalendarProps>;

// @public
export const DatePicker: React.StatelessComponent<IDatePickerProps>;

// @public (undocumented)
export class DatePickerBase extends BaseComponent<IDatePickerProps, IDatePickerState> implements IDatePicker {
    constructor(props: IDatePickerProps);
    // (undocumented)
    componentDidUpdate(prevProps: IDatePickerProps, prevState: IDatePickerState): void;
    // (undocumented)
    componentWillReceiveProps(nextProps: IDatePickerProps): void;
    // (undocumented)
    static defaultProps: IDatePickerProps;
    // (undocumented)
    focus(): void;
    // (undocumented)
    render(): JSX.Element;
    // (undocumented)
    reset(): void;
    }

export { DateRangeType }

export { DayOfWeek }

export { FirstWeekOfYear }

// @public (undocumented)
export interface ICalendar {
    focus: () => void;
}

// Warning: (ae-forgotten-export) The symbol "ICalendarDay" needs to be exported by the entry point index.d.ts
// 
// @public (undocumented)
export interface ICalendarDayProps extends IBaseProps_2<ICalendarDay> {
    allFocusable?: boolean;
    className?: string;
    componentRef?: IRefObject_2<ICalendarDay>;
    dateRangeType: DateRangeType;
    dateTimeFormatter: ICalendarFormatDateCallbacks;
    firstDayOfWeek: DayOfWeek;
    firstWeekOfYear: FirstWeekOfYear;
    maxDate?: Date;
    minDate?: Date;
    navigatedDate: Date;
    navigationIcons: ICalendarIconStrings;
    onDismiss?: () => void;
    onHeaderSelect?: () => void;
    onNavigateDate: (date: Date, focusOnNavigatedDay: boolean) => void;
    onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    restrictedDates?: Date[];
    selectedDate: Date;
    showCloseButton?: boolean;
    showSixWeeksByDefault?: boolean;
    showWeekNumbers?: boolean;
    strings: ICalendarStrings;
    // Warning: (ae-forgotten-export) The symbol "ICalendarDayStyleProps" needs to be exported by the entry point index.d.ts
    // Warning: (ae-forgotten-export) The symbol "ICalendarDayStyles" needs to be exported by the entry point index.d.ts
    styles?: IStyleFunctionOrObject_2<ICalendarDayStyleProps, ICalendarDayStyles>;
    theme?: ITheme;
    today?: Date;
    workWeekDays?: DayOfWeek[];
}

// @public (undocumented)
export interface ICalendarFormatDateCallbacks {
    formatDay: (date: Date) => string;
    formatMonthDayYear: (date: Date, strings?: ICalendarStrings) => string;
    formatMonthYear: (date: Date, strings?: ICalendarStrings) => string;
    formatYear: (date: Date) => string;
}

// @public (undocumented)
export interface ICalendarIconStrings {
    closeIcon?: string;
    leftNavigation?: string;
    rightNavigation?: string;
}

// Warning: (ae-forgotten-export) The symbol "ICalendarMonth" needs to be exported by the entry point index.d.ts
// 
// @public (undocumented)
export interface ICalendarMonthProps extends IBaseProps_2<ICalendarMonth> {
    allFocusable?: boolean;
    className?: string;
    componentRef?: IRefObject_2<ICalendarMonth>;
    dateTimeFormatter?: ICalendarFormatDateCallbacks;
    highlightCurrentMonth?: boolean;
    highlightSelectedMonth?: boolean;
    maxDate?: Date;
    minDate?: Date;
    navigatedDate: Date;
    navigationIcons?: ICalendarIconStrings;
    onHeaderSelect?: () => void;
    onNavigateDate: (date: Date, focusOnNavigatedDay: boolean) => void;
    onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    selectedDate: Date;
    strings: ICalendarStrings;
    // Warning: (ae-forgotten-export) The symbol "ICalendarMonthStyleProps" needs to be exported by the entry point index.d.ts
    // Warning: (ae-forgotten-export) The symbol "ICalendarMonthStyles" needs to be exported by the entry point index.d.ts
    styles?: IStyleFunctionOrObject_2<ICalendarMonthStyleProps, ICalendarMonthStyles>;
    theme?: ITheme;
    today?: Date;
    yearPickerHidden?: boolean;
}

// @public (undocumented)
export interface ICalendarProps extends IBaseProps<ICalendar> {
    allFocusable?: boolean;
    calendarDayProps?: Partial<ICalendarDayProps>;
    calendarMonthProps?: Partial<ICalendarMonthProps>;
    className?: string;
    componentRef?: IRefObject<ICalendar>;
    dateRangeType?: DateRangeType;
    dateTimeFormatter?: ICalendarFormatDateCallbacks;
    firstDayOfWeek?: DayOfWeek;
    firstWeekOfYear?: FirstWeekOfYear;
    highlightCurrentMonth?: boolean;
    highlightSelectedMonth?: boolean;
    isDayPickerVisible?: boolean;
    isMonthPickerVisible?: boolean;
    maxDate?: Date;
    minDate?: Date;
    navigationIcons?: ICalendarIconStrings;
    onDismiss?: () => void;
    onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    restrictedDates?: Date[];
    showCloseButton?: boolean;
    showGoToToday?: boolean;
    showMonthPickerAsOverlay?: boolean;
    showSixWeeksByDefault?: boolean;
    showWeekNumbers?: boolean;
    strings?: ICalendarStrings;
    styles?: IStyleFunctionOrObject<ICalendarStyleProps, ICalendarStyles>;
    theme?: ITheme;
    today?: Date;
    value?: Date;
    workWeekDays?: DayOfWeek[];
}

// @public (undocumented)
export interface ICalendarStrings {
    closeButtonAriaLabel?: string;
    days: string[];
    goToToday: string;
    months: string[];
    nextMonthAriaLabel?: string;
    nextYearAriaLabel?: string;
    nextYearRangeAriaLabel?: string;
    prevMonthAriaLabel?: string;
    prevYearAriaLabel?: string;
    prevYearRangeAriaLabel?: string;
    shortDays: string[];
    shortMonths: string[];
    weekNumberFormatString?: string;
}

// @public (undocumented)
export interface ICalendarStyleProps {
    className?: string;
    isDayPickerVisible?: boolean;
    isMonthPickerVisible?: boolean;
    monthPickerOnly?: boolean;
    overlayedWithButton?: boolean;
    showGoToToday?: boolean;
    showMonthPickerAsOverlay?: boolean;
    showWeekNumbers?: boolean;
    theme: ITheme;
}

// @public (undocumented)
export interface ICalendarStyles {
    // (undocumented)
    divider: IStyle;
    // (undocumented)
    goTodayButton: IStyle;
    // (undocumented)
    monthPickerWrapper: IStyle;
    root: IStyle;
}

// @public (undocumented)
export interface IDatePicker {
    focus(): void;
    reset(): void;
}

// @public (undocumented)
export interface IDatePickerProps extends IBaseProps<IDatePicker>, React.HTMLAttributes<HTMLElement> {
    allFocusable?: boolean;
    allowTextInput?: boolean;
    ariaLabel?: string;
    borderless?: boolean;
    calendarAs?: IComponentAs<ICalendarProps>;
    calendarProps?: ICalendarProps;
    calloutProps?: ICalloutProps;
    className?: string;
    componentRef?: IRefObject<IDatePicker>;
    dateTimeFormatter?: ICalendarFormatDateCallbacks;
    disableAutoFocus?: boolean;
    disabled?: boolean;
    firstDayOfWeek?: DayOfWeek;
    firstWeekOfYear?: FirstWeekOfYear;
    formatDate?: (date?: Date) => string;
    highlightCurrentMonth?: boolean;
    highlightSelectedMonth?: boolean;
    initialPickerDate?: Date;
    isMonthPickerVisible?: boolean;
    isRequired?: boolean;
    label?: string;
    maxDate?: Date;
    minDate?: Date;
    onAfterMenuDismiss?: () => void;
    onSelectDate?: (date: Date | null | undefined) => void;
    parseDateFromString?: (dateStr: string) => Date | null;
    pickerAriaLabel?: string;
    placeholder?: string;
    showCloseButton?: boolean;
    showGoToToday?: boolean;
    showMonthPickerAsOverlay?: boolean;
    showWeekNumbers?: boolean;
    strings?: IDatePickerStrings;
    styles?: IStyleFunction<IDatePickerStyleProps, IDatePickerStyles>;
    tabIndex?: number;
    textField?: ITextFieldProps;
    theme?: ITheme;
    today?: Date;
    underlined?: boolean;
    value?: Date;
}

// @public (undocumented)
export interface IDatePickerState {
    // (undocumented)
    errorMessage?: string;
    // (undocumented)
    formattedDate?: string;
    // (undocumented)
    isDatePickerShown?: boolean;
    // (undocumented)
    selectedDate?: Date;
}

// @public (undocumented)
export interface IDatePickerStrings extends ICalendarStrings {
    invalidInputErrorMessage?: string;
    isOutOfBoundsErrorMessage?: string;
    isRequiredErrorMessage?: string;
}

// @public (undocumented)
export interface IDatePickerStyleProps {
    className?: string;
    // (undocumented)
    disabled?: boolean;
    // (undocumented)
    isDatePickerShown?: boolean;
    // (undocumented)
    label?: boolean;
    theme: ITheme;
}

// @public (undocumented)
export interface IDatePickerStyles {
    // (undocumented)
    callout: IStyle;
    // (undocumented)
    icon: IStyle;
    root: IStyle;
    // (undocumented)
    textField: IStyle;
}


export * from "office-ui-fabric-react/lib/utilities/dateMath/DateMath";
export * from "office-ui-fabric-react/lib/utilities/dateValues/DateValues";

// (No @packageDocumentation comment for this package)

```
